textures/alm3dm4/d3blood1
{
        qer_editorimage textures/alm3dm4/d3blood1.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/alm3dm4/d3blood1.tga
                blendfunc filter
        }
}

textures/alm3dm4/bloodythanks
{
        qer_editorimage textures/alm3dm4/thanks.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/alm3dm4/thanks.tga
                blendfunc filter
        }
}

textures/alm3dm4/fan2
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		clampmap textures/alm3dm4/fan2.tga
		tcMod rotate 512 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/alm3dm4/glass
{
        qer_editorimage textures/alm3dm4/dirt.tga
        surfaceparm nolightmap
        surfaceparm trans
        cull disable
        {
                map textures/alm3dm4/dirt.tga
                blendfunc filter
        }

}

textures/alm3dm4/glow
{
	qer_editorimage textures/alm3dm4/glow1.tga
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid

	{
		map textures/alm3dm4/glow1.tga
		blendfunc add
		rgbgen wave sin .95 .1 0 .5
	}
}

textures/alm3dm4/grate_a_m1a
{
	qer_editorimage textures/alm3dm4/grate_a_m1a.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/alm3dm4/grate_a_m1a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alm3dm4/litpan2_3500
{
	qer_editorimage textures/alm3dm4/litpan2.tga
	q3map_lightimage textures/alm3dm4/litpan2fx.tga

	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alm3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/alm3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
	}
}

textures/alm3dm4/protobanner
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/alm3dm4/protobanner.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/alm3dm4/q1comp6scroll
{
	qer_editorimage textures/alm3dm4/q1comp6.tga
	{
		map textures/alm3dm4/q1comp6scroll.tga
		tcmod scroll 0 -0.5
		rgbGen identity
	}
	{
		map textures/effects/tinfx2.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
		rgbGen identity
	}
	{
		map textures/alm3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/alm3dm4/q1comp6fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/alm3dm4/scrub1
{
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
        surfaceparm nonsolid
	surfaceparm alphashadow
	{
		map textures/alm3dm4/scrub1.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		depthFunc equal
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/alm3dm4/scrub3
{
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
        surfaceparm nonsolid
	surfaceparm alphashadow
	{
		map textures/alm3dm4/scrub3.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		depthFunc equal
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/alm3dm4/protograte3a
{
	qer_editorimage textures/alm3dm4/protograte3.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/alm3dm4/protograte3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alm3dm4/sky
{
	qer_editorimage textures/alm3dm4/sky.tga
	q3map_lightsubdivide 768
	q3map_backsplash 0 0
	q3map_sun 1 1 1 100 180 90
	q3map_surfacelight 100
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/alm3dm4/env/sky 512 -
	
	nopicmip
	nomipmaps
	{
		map textures/alm3dm4/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{	
		clampmap textures/alm3dm4/sky_arc.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod transform 0.956 0 0 0.956 -1 -1 
		rgbGen identityLighting
	}
}

textures/alm3dm4/trilite1_2000
{
	qer_editorimage textures/alm3dm4/trilite1.tga
	q3map_lightimage textures/alm3dm4/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alm3dm4/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/alm3dm4/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
	}
}

textures/alm3dm4/zinc_lite1
{
	q3map_lightimage textures/alm3dm4/sup_lite1fx.tga
	q3map_surfacelight 2500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alm3dm4/zinc_lite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/alm3dm4/sup_lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/alm3dm4/zinc_lite3
{
	q3map_lightimage textures/alm3dm4/sup_lite3fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alm3dm4/zinc_lite3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/alm3dm4/sup_lite3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

textures/alm3dm4/zinc_lite4
{
	q3map_lightimage textures/alm3dm4/zinc_lite4fx.tga
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alm3dm4/zinc_lite4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/alm3dm4/zinc_lite4fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
	}
}

//TELEPORT MAP OBJECT BY STECKI - stecki@quakerally.com

//THESE ARE THE INSIDE LIGHTS OF THE MAIN RING

models/mapobjects/telesteckirusty/telelite04
{

        {
                map textures/effects/tinfx3.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telesteckirusty/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telesteckirusty/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	{
		map models/mapobjects/telesteckirusty/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 0 .5
	}
}

models/mapobjects/telesteckirusty/telelite03
{

        {
                map textures/effects/tinfx3.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telesteckirusty/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telesteckirusty/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	{
		map models/mapobjects/telesteckirusty/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 .25 .5

	}
}

models/mapobjects/telesteckirusty/telelite02
{
        {
                map textures/effects/tinfx3.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telesteckirusty/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telesteckirusty/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	
	{
		map models/mapobjects/telesteckirusty/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 .5 .5

	}
}

models/mapobjects/telesteckirusty/telelite01
{
        {
                map textures/effects/tinfx3.tga
                tcGen environment
                rgbGen identity
        }
	{
		map models/mapobjects/telesteckirusty/telelite01.tga
		blendFunc blend
		rgbGen vertex

	}
		{
		map models/mapobjects/telesteckirusty/telelite_g.tga
		blendFunc add
		rgbGen identity

	}
	
	{
		map models/mapobjects/telesteckirusty/telelite_i.tga
		blendFunc add
		rgbGen wave Sin 0 1 .75 .5

	}
}

//GLOWING CENTER FAUX PARTICLES

models/mapobjects/telesteckirusty/teleglow01
{
	deformVertexes autosprite
     	surfaceparm	trans
     	nomipmaps

	{
		clampmap models/mapobjects/telesteckirusty/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap models/mapobjects/telesteckirusty/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .5 1.5
	}
}


models/mapobjects/telesteckirusty/teleglow02
{
	deformVertexes autosprite
	surfaceparm	trans
     	nomipmaps


	{
		clampmap models/mapobjects/telesteckirusty/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 0 1.5
		tcMod rotate 60
		rgbGen wave sawtooth .75 .5 .6 1.5
	}
	{
		clampmap models/mapobjects/telesteckirusty/teleglow01.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.20
		tcMod rotate -20
		rgbGen wave sawtooth .75 .5 .1 1.20
	}
}


//MAIN TELEPORT SURFACES

models/mapobjects/telesteckirusty/telemain
{
        {
                map textures/effects/tinfx3.tga
                tcGen environment
                rgbGen identity
        }
        {
                map models/mapobjects/telesteckirusty/telemain.tga
                blendFunc blend
                rgbGen vertex
        }
}

//TELEPORTER RAILING

models/mapobjects/telesteckirusty/telerail

{
     cull disable
        {
                map models/mapobjects/telesteckirusty/telemain.tga
                //blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                //alphaFunc GT0
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }


}

//TELEPAD

models/mapobjects/telesteckirusty/telepad
{
        {
                map textures/effects/tinfx3.tga
                tcGen environment
                rgbGen identity
        }
        {
                map models/mapobjects/telesteckirusty/telepad.tga
                blendFunc blend
                rgbGen vertex
        }
}